Skip to main content
POST
/
api
/
v2.1
/
customer
/
organization
/
{organizationId}
/
verify
Initiate organization verification
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/customer/organization/{organizationId}/verify \
  --header 'Content-Type: application/json' \
  --header 'User-Agent: <user-agent>' \
  --header 'X-Forwarded-For: <x-forwarded-for>' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --header 'X-User-ID: <x-user-id>' \
  --header 'X-User-Roles: <x-user-roles>' \
  --header 'deviceId: <deviceid>' \
  --header 'platform: <platform>' \
  --data '
{
  "customerId": "00000000-0000-0000-0000-000000000000",
  "type": "BUSINESS_VERIFICATION",
  "requestedLevel": "TENANT_VERIFIED",
  "requestedByUserId": "admin",
  "requestedByTenantId": "00000000-0000-0000-0000-000000000000",
  "notes": "Business Verification"
}
'

Headers

X-Tenant-ID
string
required

Tenant identifier

Example:

"test_tenant"

X-User-ID
string
required
Example:

"00000000-0000-0000-0000-000000000000"

X-User-Roles
string
required
Example:

"ADMIN_USER,COMPLIANCE_OFFICER"

X-Forwarded-For
string
required

Client IP address

Example:

"127.0.0.1"

X-Forwarded-From
string
required

Client application identifier

Example:

"playground-client"

platform
string
required

Client platform

Example:

"playground-api"

deviceId
string
required

Device identifier

Example:

"playground-device"

User-Agent
string
required
Example:

"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/120.0.0.0 Safari/537.36"

Path Parameters

organizationId
string
required

Body

application/json
customerId
string
type
string
requestedLevel
string
requestedByUserId
string
requestedByTenantId
string
notes
string
reason
string

Response

200

OK